BFGMINER(1)

NAME
bfgminer - multi-threaded multi-pool ASIC, FPGA, GPU and CPU bitcoin miner.

SYNOPSIS
bfgminer

DESCRIPTION
multi-threaded multi-pool ASIC, FPGA, GPU and CPU bitcoin miner.

    Lowlevel: ftdi pci pci:uio pci:vfio spi usb vcom Drivers: antminer avalon bfx bifury bigpic bitforce bitforce:pci bitfury_gpio cairnsmore drillbit dualminer erupter gridseed hashbusteravalon hashbusterusb hashfast icarus klondike littlefury modminer opencl opencl:adl opencl:sensors proxy proxy:getwork proxy:stratum rockminer twinfury x6500 ztex Algorithms: SHA256d scrypt Options: ncursesw5

OPTIONS

  Options for both config file and command line:

--api-allow <arg>
    Allow API access only to the given list of [G:]IP[/Prefix] addresses[/subnets]

--api-description <arg>
    Description placed in the API status header, default: BFGMiner version

--api-groups <arg>
    API one letter groups G:cmd:cmd[,P:cmd:*...] defining the cmds a groups can use

--api-listen
    Enable API, default: disabled

--api-mcast
    Enable API Multicast listener, default: disabled

--api-mcast-addr <arg>
    API Multicast listen address (default: "224.0.0.75")

--api-mcast-code <arg>
    Code expected in the API Multicast message, don't use '-' (default: "FTW")

--api-mcast-des <arg>
    Description appended to the API Multicast reply, default: ''

--api-mcast-port <arg>
    API Multicast listen port (default: 4028)

--api-network
    Allow API (if enabled) to listen on/for any address, default: only 127.0.0.1

--api-port <arg>
    Port number of miner API (default: 4028)

--balance
    Change multipool strategy from failover to even share balance

--benchmark
    Run BFGMiner in benchmark mode - produces no shares

--bfl-range
    Use nonce range on bitforce devices if supported

--chroot-dir <arg>
    Chroot to a directory right after startup

--cmd-idle <arg>
    Execute a command when a device is allowed to be idle (rest or wait)

--cmd-sick <arg>
    Execute a command when a device is declared sick

--cmd-dead <arg>
    Execute a command when a device is declared dead

--coinbase-addr <arg>
    Set coinbase payout address for solo mining

--coinbase-sig <arg>
    Set coinbase signature when possible

--compact
    Use compact display without per device statistics

--debug|-D
    Enable debug output

--debuglog
    Enable debug logging

--device-protocol-dump
    Verbose dump of device protocol-level activities

--device|-d <arg>
    Enable only devices matching pattern (default: all)

--disable-rejecting
    Automatically disable pools that continually reject shares

--http-port <arg>
    Port number to listen on for HTTP getwork miners (-1 means disabled) (default: -1)

--expiry|-E <arg>
    Upper bound on how many seconds after getting work we consider a share from it stale (w/o longpoll active) (default: 120)

--expiry-lp <arg>
    Upper bound on how many seconds after getting work we consider a share from it stale (with longpoll active) (default: 3600)

--failover-only
    Don't leak work to backup pools when primary pool is lagging

--failover-switch-delay <arg>
    Delay in seconds before switching back to a failed pool (default: 300)

--force-dev-init
    Always initialize devices when possible (such as bitstream uploads to some FPGAs)

--gpu-platform <arg>
    Select OpenCL platform ID to use for GPU mining (default: -1)

--gpu-map <arg>
    Map OpenCL to ADL device order manually, paired CSV (e.g. 1:0,2:1 maps OpenCL 1 to ADL 0, 2 to 1)

--gpu-reorder
    Attempt to reorder GPU devices according to PCI Bus ID

--kernel-path <arg>
    Specify a path to where bitstream and kernel files are (default: "/usr/share/bfgminer")

--klondike-options <arg>
    Set klondike options clock:temptarget

--load-balance
    Change multipool strategy from failover to quota based balance

--log|-l <arg>
    Interval in seconds between log output (default: 20)

--log-file|-L <arg>
    Append log file for output messages

--log-microseconds
    Include microseconds in log output

--monitor|-m <arg>
    Use custom pipe cmd for output messages

--net-delay
    Impose small delays in networking to avoid overloading slow routers

--no-adl
    Disable the ATI display library used for monitoring and setting GPU parameters

--no-gbt
    Disable getblocktemplate support

--no-getwork
    Disable getwork support

--no-hotplug
    Disable hotplug detection

--no-longpoll
    Disable X-Long-Polling support

--no-pool-redirect
    Ignore pool requests to redirect to another server

--no-restart
    Do not attempt to restart devices that hang

--no-stratum
    Disable Stratum detection

--no-submit-stale
    Don't submit shares if they are detected as stale

--no-unicode
    Don't use Unicode characters in TUI

--noncelog <arg>
    Create log of all nonces found

--pass|-p <arg>
    Password for bitcoin JSON-RPC server

--per-device-stats
    Force verbose mode and output per-device statistics

--pool-priority <arg>
    Priority for just the previous-defined pool

--pool-proxy|-x <arg>
    Proxy URI to use for connecting to just the previous-defined pool

--protocol-dump|-P
    Verbose dump of protocol-level activities

--queue|-Q <arg>
    Minimum number of work items to have queued (0+) (default: 1)

--quiet|-q
    Disable logging output, display status and errors

--quit-summary <arg>
    Summary printed when you quit: none/devs/procs/detailed

--quota|-U <arg>
    quota;URL combination for server with load-balance strategy quotas

--real-quiet
    Disable all output

--request-diff <arg>
    Request a specific difficulty from pools (default: 1.0)

--retries <arg>
    Number of times to retry failed submissions before giving up (-1 means never) (default: -1)

--rotate <arg>
    Change multipool strategy from failover to regularly rotate at N minutes (default: 0)

--round-robin
    Change multipool strategy from failover to round robin on failure

--scan|-S <arg>
    Configure how to scan for mining devices

--scan-time|-s <arg>
    Upper bound on time spent scanning current work, in seconds (default: 60)

--sched-start <arg>
    Set a time of day in HH:MM to start mining (a once off without a stop time)

--sched-stop <arg>
    Set a time of day in HH:MM to stop mining (will quit without a start time)

--scrypt
    Use the scrypt algorithm for mining (non-bitcoin)

--set-device <arg>
    Set default parameters on devices; eg, NFY:osc6_bits=50

--setuid <arg>
    Username of an unprivileged user to run as

--sharelog <arg>
    Append share log to file

--shares <arg>
    Quit after mining 2^32 * N hashes worth of shares (default: unlimited)

--show-processors
    Show per processor statistics in summary

--skip-security-checks <arg>
    Skip security checks sometimes to save bandwidth; only check 1/<arg>th of the time (default: never skip)

--socks-proxy <arg>
    Set socks proxy (host:port)

--stratum-port <arg>
    Port number to listen on for stratum miners (-1 means disabled) (default: -1)

--submit-threads <arg>
    Minimum number of concurrent share submissions (default: 64) (default: 64)

--syslog
    Use system log for output messages (default: standard error)

--temp-hysteresis <arg>
    Set how much the temperature can fluctuate outside limits when automanaging speeds (default: 3)

--text-only|-T
    Disable ncurses formatted screen output

--unicode
    Use Unicode characters in TUI

--url|-o <arg>
    URL for bitcoin JSON-RPC server

--user|-u <arg>
    Username for bitcoin JSON-RPC server

--verbose
    Log verbose output to stderr as well as status output

--weighed-stats
    Display statistics weighed to difficulty 1

--userpass|-O <arg>
    Username:Password pair for bitcoin JSON-RPC server

--worktime
    Display extra work time debug information

  Options for command line only:

--config|-c <arg>
    Load a JSON-format configuration file See example.conf for an example configuration.

--no-config
    Inhibit loading default config file

--help|-h
    Print this message

--version|-V
    Display version and exit